# Uses of Class
com.ocient.metrics.Metric.MetricPath

Packages that use Metric.MetricPath
Package
Description
com.ocient.metrics

## Uses of Metric.MetricPath in com.ocient.metrics

Methods in com.ocient.metrics that return Metric.MetricPath
Modifier and Type
Method
Description
`static Metric.MetricPath`
Metric.MetricPath.`create(String basePath, List<Metric.NamedTag> tags)`
Constructs a Path for a perf counter with the given base path and set of `Metric.NamedTag`s.
`static Metric.MetricPath`
Metric.MetricPath.`createWithFullPath(String basePath, List<Metric.NamedTag> tags, String fullPathOverride)`
Same as `create(String, List)` but the full path is provided instead of being derived from the given `Metric.NamedTag`s.
`final Metric.MetricPath`
Metric.`path()`
Methods in com.ocient.metrics with parameters of type Metric.MetricPath
Modifier and Type
Method
Description
`Optional<Metric<?>>`
MetricsRegistry.`find(Metric.MetricPath path)`
Finds the single `Metric` with the exact given path.
`PerfCounter`
MetricsRegistry.`getCounter(Metric.MetricPath path, PerfCounter.ThreadingModel threadingModel, Metric.DataType dataType, Metric.CounterType counterType, Metric.Units units)`
Fetches a `PerfCounter` or creates one if no such counter exists.
`static PerfCounter`
PerfCounter.`longCounter(Metric.MetricPath path, PerfCounter.ThreadingModel threadingModel, Metric.DataType dataType, Metric.CounterType counterType, Metric.Units units)`
Creates a new `PerfCounter` instance for a `long` value.
Constructors in com.ocient.metrics with parameters of type Metric.MetricPath
Modifier
Constructor
Description
``
`Gauge(Metric.MetricPath path, LongSupplier supplier, Metric.CounterType counterType, Metric.Units units)`